// (C) dP
// Ботва по кругу

#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>

using namespace std;

ifstream fi ("hollow.in");
ofstream fo ("hollow.out");

long n;

const double PI = 3.14159265358979323846;

int main () {
	
	fi >> n;

	long k;
	double i;

	double df = (PI *2) / n;

	for (k=0,i=0.0;k<n;i+=df,k++)
			fo << cos (i) <<" "<<sin(i) << endl;

	return 0;
}
